MPT_CONFIG(9)

NAME
mpt_config - Generic function to issue config message

SYNOPSIS

int mpt_config(MPT_ADAPTER * ioc, CONFIGPARMS * pCfg);

ARGUMENTS

ioc
    Pointer to an adapter structure

pCfg
    Pointer to a configuration structure. Struct contains action, page address, direction, physical address and pointer to a configuration page header Page header is updated.

DESCRIPTION

Returns 0 for success -EPERM if not allowed due to ISR context -EAGAIN if no msg frames currently available -EFAULT for non-successful reply or no reply (timeout)

COPYRIGHT